unit Gridevents;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, IWCompButton,
  Controls, IWBaseControl, IWControl, IWCompLabel, IWWebGrid, IWAdvWebGrid,
  LeftFrame, Forms, TopFrame, IWVCLBaseControl, IWBaseHTMLControl;

type
  TformGridevents = class(TIWAppForm)
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    IWButton1: TIWButton;
    IWButton2: TIWButton;
    IWButton3: TIWButton;
    IWButton4: TIWButton;
    IWButton5: TIWButton;
    TIWAdvWebGrid1: TTIWAdvWebGrid;
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    procedure IWButton1Click(Sender: TObject);
    procedure IWButton2Click(Sender: TObject);
    procedure IWButton3Click(Sender: TObject);
    procedure IWButton4Click(Sender: TObject);
    procedure IWButton5Click(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  ServerController;


procedure TformGridevents.IWButton1Click(Sender: TObject);
begin
  tiwadvwebgrid1.Cells[3,0] := 'Bruno';
  tiwadvwebgrid1.Cells[4,0] := 'Fierens';
  tiwadvwebgrid1.Cells[5,0] := 'TMS software';

  tiwadvwebgrid1.Cells[3,1] := 'Chad';
  tiwadvwebgrid1.Cells[4,1] := 'Hower';
  tiwadvwebgrid1.Cells[5,1] := 'Atozed software';

  tiwadvwebgrid1.Cells[3,2] := 'Dale';
  tiwadvwebgrid1.Cells[4,2] := 'Fuller';
  tiwadvwebgrid1.Cells[5,2] := 'Borland';

  tiwadvwebgrid1.Cells[3,3] := 'Glenn';
  tiwadvwebgrid1.Cells[4,3] := 'Crouch';
  tiwadvwebgrid1.Cells[5,3] := 'ESB Consult';

  tiwadvwebgrid1.Cells[3,4] := 'Lino';
  tiwadvwebgrid1.Cells[4,4] := 'Tadros';
  tiwadvwebgrid1.Cells[5,4] := 'KazooSoft';

  tiwadvwebgrid1.Cells[3,19] := 'Bill';
  tiwadvwebgrid1.Cells[4,19] := 'Gates';
  tiwadvwebgrid1.Cells[5,19] := 'Microsoft';
end;

procedure TformGridevents.IWButton2Click(Sender: TObject);
begin
   tiwadvwebgrid1.ActiveRow := 15;
end;

procedure TformGridevents.IWButton3Click(Sender: TObject);
begin
  tiwadvwebgrid1.Edit;
end;

procedure TformGridevents.IWButton4Click(Sender: TObject);
begin
  tiwadvwebgrid1.Post;
end;

procedure TformGridevents.IWButton5Click(Sender: TObject);
begin
  tiwadvwebgrid1.Cancel;
end;

initialization
  TformGridevents.SetAsMainForm


end.
